engines:
  duplication:
    enabled: true
    config:
      languages:
        - ruby
        - javascript:
            mass_threshold: 58
        - python
        - php
  eslint:
    enabled: true
  fixme:
    enabled: true
ratings:
  paths:
    - 'src/**/*'
exclude_paths:
  - test/
  - coverage/
  - dist/
  - 'i18next.js'
  - 'i18next.min.js'
  - 'index.d.ts'
  - 'rollup.config.js'
  - 'karma.conf.js'
  - 'karma.backward.conf.js'
checks:
  file-lines:
    config:
      threshold: 300
  method-lines:
    config:
      threshold: 70
  complex-logic:
    config:
      threshold: 5
  nested-control-flow:
    config:
      threshold: 5
